## timeoverlay timeoverlay — Overlays buffer time stamps on a video stream |

## Synopsis

                        GstTimeOverlay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTextOverlay
                         +----GstTimeOverlay

## Description

This element overlays the buffer time stamps of a video stream on top of itself. You can position the text and configure the font details using the properties of the GstTextOverlay class. By default, the time stamp is displayed in the top left corner of the picture, with some padding to the left and to the top.

    gst-launch -v videotestsrc ! timeoverlay ! xvimagesink

Display the time stamps in the top left corner of the video picture.

    gst-launch -v videotestsrc ! timeoverlay halign=right valign=bottom text="Stream time:" shaded-background=true ! xvimagesink

Another pipeline that displays the time stamps with some leading text in the bottom right corner of the video picture, with the background of the text being shaded in order to make it more legible on top of a bright video background.

## Synopsis

### Element Information

plugin | pango
author | Tim-Philipp Müller <tim@centricular.net>
class | Filter/Editor/Video

### Element Pads

name | video_sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### GstTimeOverlay

    typedef struct _GstTimeOverlay GstTimeOverlay;

Opaque timeoverlay data structure.

## See Also

#GstTextOverlay, GstClockOverlay